Instalar versiones concretas de paquetes en Synaptic

nullTodos los que estamos familizarizados con el uso y manejo de Synaptic sabemos

  • instalar programas
  • actualizar paquetes
  • eliminar correctamente programas
  • eliminar dependencias
  • otras operaciones “menores”

Pero hay algo que aun no hemos tratado y puede, en ocasiones sernos de gran utilidad: instalar una versión concreta (y no la última disponible) de cualquier programa y/o librería.

A esta operación suele llamársele hacer un “downgrade” (como el que muchos querían hacer con sus flamantes equipos que venían con el “ventanuco ciego” para pasarse al “XP”)

Utilidad

Son varias las situaciones en las que puede interesarnos contar con ésta posibilidad:

  1. Cuando recibo solicitudes de soporte técnico a través del formulario de contacto del blog y, aunque tenga instalado el mismo programa (junto con sus dependencias) para poder ayudar me hace falta contar exactamente con la misma versión para poder reproducir el fallo o problema.
  2. La nueva versión de un programa no es compatible con alguno de los complementos (addons) que utilizamos o no nos convence alguna de las funcionalidades nuevas.
  3. Existen errores o fallos en las nuevas versiones
  4. Cualquier otra cosa que se te pueda ocurrir 🙂

Instalando una versión concreta

Lo primero que tenemos que hacer es localizar el programa (o librería) que nos interesa en Synpatic y seleccionarlo.

Sirva de ejemplo Firefox que se, de buena tinta, que tiene más de una versión (acabo de actualizarlo hace unos minutos ;))

Seleccionamos la siguiente entrada del menú

y en el formulario que nos aparece elegimos la versión que nos interesa

Ya sólo queda aplicar los cambios para poder hacer uso de la misma.

NOTA: observa el atajo de teclado (CTRL+E) que te ahorrará algún que otro segundo siempre y cuando te guste aprender combinaciones de teclas.

4 comentarios en “Instalar versiones concretas de paquetes en Synaptic

  1. Concretamente..me sale esto..y la verdad soy novato en este sistema y me interesa muchos pero se me han sucitado estos errores..que al principio no los tenia de pronto no pude actualizar mas y me sale esto

    No se pudieron descargar todos los índices de los repositorios

    El repositorio quizá no esté ya disponible o no se pudo contactar con él por problemas en la red. Si hay disponible una versión más antigua del índice que falló, se usará esa versión. En otro caso el repositorio será ignorado. Compruebe su conexión de red y que la dirección del repositorio esté escrita correctamente en las preferencias.

    http://security.ubuntu.com/ubuntu/dists/gutsy-security/universe/binary-i386/Packages.gz: 404 Not Found
    http://repoubuntusoftware.info/dists/gusty/all/binary-i386/Packages.gz: 302 Found
    http://security.ubuntu.com/ubuntu/dists/gutsy-security/main/binary-i386/Packages.gz: 404 Not Found
    http://security.ubuntu.com/ubuntu/dists/gutsy-security/restricted/binary-i386/Packages.gz: 404 Not Found
    http://security.ubuntu.com/ubuntu/dists/gutsy-security/multiverse/binary-i386/Packages.gz: 404 Not Found
    http://archive.ubuntu.com/ubuntu/dists/gutsy/main/binary-i386/Packages.gz: 404 Not Found [IP: 91.189.88.46 80]
    http://archive.ubuntu.com/ubuntu/dists/gutsy/universe/binary-i386/Packages.gz: 404 Not Found [IP: 91.189.88.46 80]
    http://archive.ubuntu.com/ubuntu/dists/gutsy/restricted/binary-i386/Packages.gz: 404 Not Found [IP: 91.189.88.46 80]
    http://archive.ubuntu.com/ubuntu/dists/gutsy/multiverse/binary-i386/Packages.gz: 404 Not Found [IP: 91.189.88.46 80]
    http://archive.ubuntu.com/ubuntu/dists/gutsy-updates/universe/binary-i386/Packages.gz: 404 Not Found [IP: 91.189.88.46 80]
    http://archive.ubuntu.com/ubuntu/dists/gutsy-updates/main/binary-i386/Packages.gz: 404 Not Found [IP: 91.189.88.46 80]
    http://archive.ubuntu.com/ubuntu/dists/gutsy-updates/restricted/binary-i386/Packages.gz: 404 Not Found [IP: 91.189.88.46 80]
    http://archive.ubuntu.com/ubuntu/dists/gutsy-updates/multiverse/binary-i386/Packages.gz: 404 Not Found [IP: 91.189.88.46 80]
    http://archive.ubuntu.com/ubuntu/dists/gutsy-proposed/universe/binary-i386/Packages.gz: 404 Not Found [IP: 91.189.88.46 80]
    http://archive.ubuntu.com/ubuntu/dists/gutsy-proposed/main/binary-i386/Packages.gz: 404 Not Found [IP: 91.189.88.46 80]
    http://archive.ubuntu.com/ubuntu/dists/gutsy-proposed/restricted/binary-i386/Packages.gz: 404 Not Found [IP: 91.189.88.46 80]
    http://archive.ubuntu.com/ubuntu/dists/gutsy-proposed/multiverse/binary-i386/Packages.gz: 404 Not Found [IP: 91.189.88.46 80]

    y me sale todo esto
    y me me ocurre lo mismo haga donde lo haga cuando trato de actualizar algo…este en concretro mi rpoblema…en si estoy tratando de arreglar esto solo…averiguando averiguando..pero no me sale la solucion!!! y la verdad que estoy ansioso por actualizar mi sistema!!!!!..Por favor ayudame amigo..porque estoy en bolas!!!!

Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s